# rubocop:disable Metrics/ModuleLength
module BerkeleyLibrary
  module Marc
    module FieldInfo
      module VarFields
        UCBLIT_TIND_PARSED =
          [{ doc_comments: [{ comment: 'Adapted from https://docs.google.com/spreadsheets/d/1QbIxsJGosgzKYBXhDhJJlTZtvCRjz75TRecn1cbDhm8/edit' },
                            { comment: 'Retrieved 2021-01-15' }] },
           { comment: 'TODO: check Google Sheets automatically for updates' },
           { sections: [{ var_fields: [{ tag: '852',
                                         desc: 'LOCATION (R)',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#', desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'c',
                                                            desc: 'Location/Archive/Repository',
                                                            values: [] }] },
                                       { tag: '901',
                                         desc: 'IDENTIFIERS [INTERNAL] (NR) [REQUIRED WHEN APPLICABLE]',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'a',
                                                            desc: 'Ark identifier for METS file [REQUIRED WHEN APPLICABLE]',
                                                            values: [] },
                                                          { code: 'f',
                                                            desc: 'Ark identifier for finding aid',
                                                            values: [] },
                                                          { code: 'g',
                                                            desc: 'PJID:DBID from GenDB [REQUIRED WHEN APPLICABLE]',
                                                            values: [] },
                                                          { code: 'm', desc: 'Millennium record number', values: [] },
                                                          { code: 'o', desc: 'OCLC Number', values: [] }] },
                                       { tag: '902',
                                         desc: 'RECORD CREATION DETAILS [INTERNAL] (NR) [REQUIRED]',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'd',
                                                            desc: 'Date of batch file creation [REQUIRED]',
                                                            values: [] },
                                                          { code: 'f',
                                                            desc: 'METS filename or other file used as source of data [REQUIRED WHEN APPLICABLE]',
                                                            values: [] },
                                                          { code: 'n',
                                                            desc: "Batch uploader's initials [REQUIRED]",
                                                            values: [] },
                                                          { code: 'p',
                                                            desc: 'Description of the process and programs used',
                                                            values: [] }] },
                                       { tag: '903',
                                         desc: 'BIBLIOGRAPHIC CODES FROM MARC RECORD (NR)',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'b', desc: 'Bibliographic codes',
                                                            values: [] }] },
                                       { tag: '950',
                                         desc: 'Local/Administrative Notes (R)',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'a', desc: 'Notes', values: [] },
                                                          { code: '3', desc: 'Note type', values: [] }] },
                                       { tag: '982',
                                         desc: 'COLLECTION / PROJECT NAME (R) [REQUIRED]',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'a',
                                                            desc: 'Short collection name (displays in facet) [REQUIRED]',
                                                            values: [] },
                                                          { code: 'b',
                                                            desc: 'Long collection name (displays in record) [REQUIRED]',
                                                            values: [] },
                                                          { code: 'p', desc: 'Project Name', values: [] }] },
                                       { tag: '991',
                                         desc: 'RESTRICTION STATUS (NR)',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'a',
                                                            desc: 'Restricted collection identifier',
                                                            values: [] }] },
                                       { tag: '998',
                                         desc: 'AV TRACK INFO (R)',
                                         indicators: [{ desc: 'Undefined',
                                                        ind1: [{ val: '#',
                                                                 desc: 'Undefined' }] },
                                                      { desc: 'Undefined',
                                                        ind2: [{ val: '#', desc: 'Undefined' }] }],
                                         subfield_codes: [{ code: 'a', desc: 'Duration (hh:mm:ss)', values: [] },
                                                          { code: 't', desc: 'Title', values: [] },
                                                          { code: 'g',
                                                            desc: 'Relative path [REQUIRED]',
                                                            values: [] }] }] }] }].freeze
      end
    end
  end
end
# rubocop:enable Metrics/ModuleLength
